<?php
/*
	Skrypt należy do CoolPage.pl
	Autor: Wiesław Płotka
	Aktualizacja pliku: 2009.02.07
*/

	session_start();
	if(isset($_POST['login']) && isset($_POST['haslo'])){
		if((!$_POST['login'] || !$_POST['haslo']) || ($_POST['login']=="login" || $_POST['haslo']=="haselkoaa")){
			$tpl->assign("tresc_bledu", "Wypelnij wszystkie pola formularza");
		}else{

			$wykonaj = @mysql_query("SELECT haslo, poziom, id FROM ".$db_pref."uzytkownik WHERE login = '".$_POST['login']."' and (id_serwisu='".$_SESSION['ID_serwisu']."' or id_serwisu='0') LIMIT 1");

			$wynik = @mysql_fetch_Array($wykonaj);

		   $wynik['haslo'] = stripslashes($wynik['haslo']);
			$_POST['haslo'] = stripslashes($_POST['haslo']);


			if($wynik['haslo']!=md5($_POST['haslo'])) {
				$tpl->assign("tresc_bledu", "Błędne hasło");
			}else{
				$u_data_logowania = date('H:i:s d.m.Y');

				$update_uzytkownicy = mysql_query("UPDATE ".$db_pref."uzytkownik SET czas_logowania = '".time()."' WHERE login = '".$wynik['id']."' LIMIT 1");

				$_SESSION['u_login'] = $_POST['login'];
				$_SESSION['u_id'] = $wynik['id'];
				$_SESSION['u_poziom'] = $wynik['poziom'];

				jump("admin.php");
			}
		}
	}

	$tpl->display('admin_logowanie.tpl.html');

?>